Subject: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 28 Jun 2019 16:21:10 +0300

On 28.06.2019 0:16, Juri Linkov wrote:

> not sure if it should rely on `vc-root-dir' instead
> (I mean the already existing function `vc-root-dir'
> that returns the root dir).

I think it should (like my original patch did).

When a project contains several repository roots, you probably want to 
use the closest one. Otherwise, the behavior will be the same.

>>> -    (define-key map "d" 'vc-dir)
>>> +    (define-key map "d" 'vc-root-dir)
>>
>> But this would probably be very controversial.  `C-x v /' is a nice
>> binding, though...
> 
> I'd prefer an option whose customization would allow `C-x v d'
> to always use the root.

Honestly, I think these are equivalent proposals, with the exception 
that Lars' keeps the current behavior intact by default.

For those of us who want to change the behavior of 'C-x v d', we can 
call define-key in the init script.